<?php

namespace Drupal\document_ocr\Entity\ViewsData;

use Drupal\views\EntityViewsData;

/**
 * Provides Views data for the Import entities.
 */
class Import extends EntityViewsData {

  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $data = parent::getViewsData();
    $data['document_ocr_import']['last_attempt']['field']['id'] = 'date';
    $data['document_ocr_import']['last_attempt']['sort']['id'] = 'date';
    $data['document_ocr_import']['last_attempt']['filter']['id'] = 'date';
    $data['document_ocr_import']['last_attempt']['argument']['id'] = 'date';
    // Source field
    $data['document_ocr_import']['source'] = [
      'title' => $this->t('Source Entity'),
      'help'  => $this->t('Document OCR source entity.'),
      'field' => [
        'id' => 'document_ocr_import_source',
      ],
    ];
    // Destination field
    $data['document_ocr_import']['destination'] = [
      'title' => $this->t('Destination Entity'),
      'help'  => $this->t('Document OCR destination entity.'),
      'field' => [
        'id' => 'document_ocr_import_destination',
      ],
    ];
    return $data;
  }

}
