<?php

namespace Drupal\document_ocr\Form\Processor;

use Drupal\Core\Form\FormStateInterface;

/**
 * Processor plugin configuration form.
 *
 * @ingroup document_ocr
 */
class ConfigurationForm extends BaseProcessorForm {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    $processor = $this->currentRouteMatch->getParameter('document_ocr_processor');
    return 'document_ocr_processor_' . $processor->getPluginId();
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state, $document_ocr_processor = NULL) {
    if ($this->getKeyVal('processor') != $document_ocr_processor->getPluginId()) {
      return $this->redirecToListing();
    }
    $form_state->set('document_ocr_processor', $document_ocr_processor);
    $form = parent::buildForm($form, $form_state);
    $document_ocr_processor->setCredentials($this->getKeyVal('credentials'));
    $configuration_form = $document_ocr_processor->configurationForm($form, $form_state);
    if ($configuration_form !== $form) {
      $form = array_merge($form, $configuration_form);
      $form['actions']['submit']['#value'] = $this->t('Add Processor');
    }
    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    if ($configuration = $form_state->get('document_ocr_processor')->configurationValues($form, $form_state)) {
      $this->setKeyVal('configuration', $configuration);
    }
    $this->saveProcessor();
    $form_state->setRedirect('entity.document_ocr_processor.collection');
  }

}
